#### D.4.5.2 curveConductorMult

Procedure from library `curveInv.lib` (see curveInv_lib).

Usage:
  curveConductorMult(I); I ideal

Assume:
  I is a radical ideal, dim(R/I) = 1

Return:
  the multiplicity of the conductor

Note:
  the optional parameter can be used if the normalization has already been computed. If a list L contains the output of the procedure normal (with options prim, wd and usering if the ring has a mixed ordering), apply curveConductorMult(I,L)

Example:

    LIB "curveInv.lib";
    //////////////////////////////////////////////
    // Mutltiplicity of the conductor of curves //
    //////////////////////////////////////////////
    ring R = 0,(x,y,z),ds;
    // Example 1:
    ideal I = x2-y4z,z3y2+xy2;
    I = std(radical(I));
    curveConductorMult(I);
    ==> 23
    // Example 2:
    ideal I = x*(y+z)^3 - y3, x2y2 + z5;
    ==> // ** redefining I (ideal I = x*(y+z)^3 - y3, x2y2 + z5;) ./examples/curv\
       eConductorMult.sing:11
    I = std(radical(I));
    curveConductorMult(I);
    ==> 19
    kill R;
    ////////////////////////////////////////////////////////
    // Mutltiplicity of the conductor of Gorenstein curve //
    ////////////////////////////////////////////////////////
    ring R = 0,(x,y),ds;
    ideal I = xy;
    // In such a case, the conductor multiplicity c satisfies: c = 2*delta
    // Delta invariant:
    curveDeltaInv(I);
    ==> 1
    // Conductor Multiplicity:
    curveConductorMult(I);
    ==> 2

See also: normalConductor.

User manual for Singular version 4.4.1, 2025, generated by texi2html.